﻿let FWEditor_imagedata = (function() {
	let loadimageflag = false;
	let imgpath = "";
	// エディタ部分で使用する画像
	let editorimg = new Image();
	// メイン画面の地形、ユニットなどの情報の画像
	let maininfoimg = new Image();

	let imagepathdata = {
		maininfo:			"image/icon/maininfo.png",
		main:					"image/icon/mainimages.png",
		mainmsg:			"image/icon/mainmessages.png",
		editor:				"image/icon/editor.png",
		sub_tinfo:		"image/icon/subscreentinfo.png",
		sub_uinfo:		"image/icon/subscreenuinfo.png",
		sub_minfo:		"image/icon/subscreenminfo.png",
		sub_sinfo:		"image/icon/subscreen.png",
		unitlarge:		"image/icon/unitlarge.png",
		atmosphere:		"image/icon/atmosphere.png",
		terrain:			"image/icon/terrain.png",
		unit:					"image/icon/unit.png",
		number:				"image/icon/number.png",
		font:					"image/icon/font.png",
		shogunstatus:	"image/icon/shogunstatus.png",
		shogun:				"image/icon/shogun.png",
		shogunname:		"image/icon/shogunname.png",
		unitstatus:		"image/icon/status.png",
		cursor:				"image/icon/cursor.png",
		bg:						"image/other/SubScreen.png",
	};
	
	let imagelist = {};
	for (let name in imagepathdata) {
		imagelist[name] = new Image();
	}

	function loadimagedata() {
		if (loadimageflag) {
			return;
		}
		loadimageflag = true;
		for (let name in imagepathdata) {
			imagelist[name].src = imgpath + imagepathdata[name];
		}
	}

	return {
		loadimagedata: function(path) {
			imgpath = path || "";
			loadimagedata();
		},
		getimagelist: function() {
			return imagelist;
		},
	};
}());

let FWEditor_data = {
	text:	{},
	image: {},
};


FWEditor_data.setdata = function(fweditor) {
	let data = FWEditor_data.text[fweditor.savedata.config.language];
	fweditor.textdata = {
		Mainmenutxt:	data.Mainmenutxt,
		Terraintxt:		data.Terraintxt,
	};
	fweditor.imagedata = FWEditor_data.image[fweditor.savedata.config.language];
	fweditor.imagelist = FWEditor_imagedata.getimagelist();
};

FWEditor_data.text.Japanese = {
	Mainmenutxt:  [
		[ "待機", "", "" ],
		[ "攻撃", "", "" ],
		[ "占領", "", "" ],
		[ "搭載", "", "" ],
		[ "ミサイル", "", "" ],
		[ "降車", "", "" ],
		[ "かくれる", "", "" ],
		[ "もぐる", "", "" ],
		[ "出現する", "", "" ],
		[ "うかぶ", "", "" ],
		[ "補給", "", "" ],
		[ "修理", "", "" ],
		[ "爆発", "", "" ],
		[ "攻撃", "", "" ],
		[ "合流", "", "" ],
		[ "攻撃", "", "" ],
		[ "ショーグン", "ショーグン情報を", "開きます" ],
		[ "作戦", "作戦メニューを", "開きます" ],
		[ "ブレイク", "ショーグンブレイクを", "使用します" ],
		[ "Ｓブレイク", "スペシャルブレイクを", "使用します" ],
		[ "タッグ", "タッグブレイクを", "使用します" ],
		[ "システム", "システムメニューを", "開きます" ],
		[ "システム２", "システムメニュー２を", "開きます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "一日を終了させます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "再度行動できます" ],
		[ "終了", "一日を終了させます", "" ],
		[ "状況", "状況表を開きます", "" ],
		[ "部隊", "部隊表を開きます", "" ],
		[ "ルール", "ルール画面を開きます", "" ],
		[ "処分する", "行動前のユニットを", "処分することができます" ],
		[ "降伏する", "降伏して、", "負けを認めます" ],
		[ { normal: "晴れ", rain: "雨", sandstorm: "砂あらし", snow: "雪" }, "天候ランダム時の", { normal : "天候を晴れにします", rain: "天候を雨にします", sandstorm: "天候を砂あらしにします", snow: "天候を雪にします" }, "this.savedata.mapdata.atmosphere" ],
		[ { true: "アニメあり", false: "アニメなし" }, { true: "アニメを表示します", false: "アニメを表示しません" }, "", "this.savedata.config.animation" ],
		[ { true: "カーソルあり", false: "カーソルなし" }, { true: "カーソルを表示します", false: "カーソルを表示しません" }, "", "this.savedata.config.displaycursor" ],
		[ { true: "地形情報あり", false: "地形情報なし" }, "地形とユニットの", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.displayterrainandunitinfo" ],
		[ { default: "全マップ表示", "１６x１２": "１６x１２表示" }, { default: "マップをすべて", "１６x１２": "マップを１６*１２の" }, { default: "表示します", "１６x１２": "サイズで表示します" }, "this.savedata.config.mapdisplaysize" ],
		[ { true: "Ｓバー表示", false: "Ｓバーなし" }, "スクロールバーを", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayscrollbar" ],
		[ { true: "サブ表示", false: "サブなし" }, "サブスクリーン", { true: "表示します", false: "表示しません" }, "this.savedata.config.displaysubscreen" ],
		[ { true: "隠蔽情報表示", false: "隠蔽情報なし" }, "隠された情報を", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayhiddendata" ],
		[ { true: "追加情報表示", false: "追加情報なし" }, "本エディタ独自の追加", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.extrainfo" ],
		[ { original: "ＨＰオリジナル", typeA: "ＨＰタイプＡ", typeB: "ＨＰタイプＢ", typeC: "ＨＰタイプＣ" }, { original: "ＨＰをすべて", typeA: "ユニットの下のＨＰを", typeB: "画面下のＨＰを", typeC: "ＨＰをすべて" }, { original: "１～１０で表示します", typeA: "％単位で表示します", typeB: "％単位で表示します", typeC: "％で表示します" }, "this.savedata.config.hpinfo" ],
		[ { FWDS: "ＨＰ画像タイプＡ", GBWAD: "ＨＰ画像タイプＢ" }, { FWDS: "ＨＰ画像をＦＷＤＳの", GBWAD: "ＨＰ画像をＧＢＷＡＤの" }, "画像で表示します", "this.savedata.config.hptype" ],
		[ { true: "エディタ表示", false: "エディタなし" }, { true: "エディタを表示します", false: "エディタを表示しません" }, "", "this.savedata.config.edit" ],
	],
	Terraintxt: [
		[ "　　平地",		"移動しやすいものの",		"守りにはむかない。",		"", ],
		[	"　　　森",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　　山",		"山に入った歩兵系は",		"サクテキの時に視界が",		"３増える。", ],
		[ "　　道路",		"もっとも移動しやすい",		"地形だが守りには",		"むかない。", ],
		[ "　　　橋",		"陸と陸をむすぶ橋。",		"移動しやすいが",		"地形効果もない地形。", ],
		[ "　　パイプ",		"とてつもなくあつい装甲で",		"はかいする事はできない。",		"パイプランナーは進入可。", ],
		[ "　　パイプ",		"他のパイプ部分より装甲が",		"弱い。",		"パイプランナーは進入可。", ],
		[ "　　　川",		"陸ユニットでは歩兵系",		"が入ることができる。",		"", ],
		[	"　　　海",		"海、空ユニットだけが",		"移動できる。",		"", ],
		[ "　　岩礁",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　浅瀬",		"陸から海に続く地形。",		"輸送船への乗り降りが",		"できる。", ],
		[ "ミサイル基地",		"歩兵系で１発だけ発射可。",		"射程は無限で、着弾場所",		"から２マスに範囲攻撃。", ],
		[ "ミニキャノン",		"攻撃力、射程ともキャノン",		"にはおとるが、強力な",		"兵器。弾数は無限。", ],
		[	"　Ｂストーン",		"１日の初めに周囲２マス",		"のブラックホール軍のＨＰ",		"が２回復し、補給も行う。", ],
		[ "　　本部",		"各軍の本拠地。占領され",		"ると敗北。陸ユニットの",		"回復、補給ができる。", ],
		[ "　　都市",		"味方が占領しているなら、",		"陸ユニットの回復、補給が",		"できる。", ],
		[ "　　工場",		"味方が占領しているなら、",		"陸ユニットの生産と",		"回復、補給ができる。", ],
		[	"　　空港",		"味方が占領しているなら、",		"空ユニットの生産、回復",		"補給ができる。", ],
		[ "　　　港",		"味方が占領しているなら、",		"海ユニットの生産、回復",		"補給ができる。", ],
		[ "　　指令塔",		"この拠点を占領すると",		"情報伝達が良くなり、",		"軍全体の攻撃力が上がる。", ],
		[ "　　研究所",		"ブラックホール軍の兵器の",		"研究を行っているしせつ。",		"", ],
		[ "　Ｂキャノン",		"攻撃力、射程とも強力な",		"キャノン砲。",		"弾数は無限。", ],
		[ "Ｂクリスタル",		"１日の初めに周囲４マス",		"のブラックホール軍のＨＰ",		"が２回復し、補給も行う。", ],
		[ "　　火山",		"大きな火山。",		"時おり火山弾をふき出す。",		"全ユニットが侵入不可。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　進入不可",	"全ユニット攻撃、",		"侵入不可。",		"", ],
	],
};

FWEditor_data.text.English = {
	Mainmenutxt:  [
		[ "待機", "", "" ],
		[ "攻撃", "", "" ],
		[ "占領", "", "" ],
		[ "搭載", "", "" ],
		[ "ミサイル", "", "" ],
		[ "降車", "", "" ],
		[ "かくれる", "", "" ],
		[ "もぐる", "", "" ],
		[ "出現する", "", "" ],
		[ "うかぶ", "", "" ],
		[ "補給", "", "" ],
		[ "修理", "", "" ],
		[ "爆発", "", "" ],
		[ "攻撃", "", "" ],
		[ "合流", "", "" ],
		[ "攻撃", "", "" ],
		[ "Shogun", "ショーグン情報を", "開きます" ],
		[ "作戦", "作戦メニューを", "開きます" ],
		[ "ブレイク", "ショーグンブレイクを", "使用します" ],
		[ "Ｓブレイク", "スペシャルブレイクを", "使用します" ],
		[ "タッグ", "タッグブレイクを", "使用します" ],
		[ "システム", "システムメニューを", "開きます" ],
		[ "システム２", "システムメニュー２を", "開きます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "一日を終了させます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "再度行動できます" ],
		[ "終了", "一日を終了させます", "" ],
		[ "状況", "状況表を開きます", "" ],
		[ "部隊", "部隊表を開きます", "" ],
		[ "ルール", "ルール画面を開きます", "" ],
		[ "処分する", "行動前のユニットを", "処分することができます" ],
		[ "降伏する", "降伏して、", "負けを認めます" ],
		[ { normal: "晴れ", rain: "雨", sandstorm: "砂あらし", snow: "雪" }, "天候ランダム時の", { normal : "天候を晴れにします", rain: "天候を雨にします", sandstorm: "天候を砂あらしにします", snow: "天候を雪にします" }, "this.savedata.mapdata.atmosphere" ],
		[ { true: "アニメあり", false: "アニメなし" }, { true: "アニメを表示します", false: "アニメを表示しません" }, "", "this.savedata.config.animation" ],
		[ { true: "カーソルあり", false: "カーソルなし" }, { true: "カーソルを表示します", false: "カーソルを表示しません" }, "", "this.savedata.config.displaycursor" ],
		[ { true: "地形情報あり", false: "地形情報なし" }, "地形とユニットの", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.displayterrainandunitinfo" ],
		[ { default: "全マップ表示", "１６x１２": "１６x１２表示" }, { default: "マップをすべて", "１６x１２": "マップを１６*１２の" }, { default: "表示します", "１６x１２": "サイズで表示します" }, "this.savedata.config.mapdisplaysize" ],
		[ { true: "Ｓバー表示", false: "Ｓバーなし" }, "スクロールバーを", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayscrollbar" ],
		[ { true: "サブ表示", false: "サブなし" }, "サブスクリーン", { true: "表示します", false: "表示しません" }, "this.savedata.config.displaysubscreen" ],
		[ { true: "隠蔽情報表示", false: "隠蔽情報なし" }, "隠された情報を", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayhiddendata" ],
		[ { true: "追加情報表示", false: "追加情報なし" }, "本エディタ独自の追加", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.extrainfo" ],
		[ { original: "ＨＰオリジナル", typeA: "ＨＰタイプA", typeB: "ＨＰタイプＢ", typeC: "ＨＰタイプC" }, { original: "ＨＰをすべて", typeA: "ユニットの下のＨＰを", typeB: "画面下のＨＰを", typeC: "ＨＰをすべて" }, { original: "１～１０で表示します", typeA: "％単位で表示します", typeB: "％単位で表示します", typeC: "％で表示します" }, "this.savedata.config.hpinfo" ],
		[ { FWDS: "ＨＰ画像タイプA", GBWAD: "ＨＰ画像タイプＢ" }, { FWDS: "ＨＰ画像をＦＷＤＳの", GBWAD: "ＨＰ画像をＧＢＷＡＤの" }, "画像で表示します", "this.savedata.config.hptype" ],
		[ { true: "エディタ表示", false: "エディタなし" }, { true: "エディタを表示します", false: "エディタを表示しません" }, "", "this.savedata.config.edit" ],
	],
	Terraintxt: [
		[ "　　Plain",		"Easy to traverse,",		"plains offer little",		"defensive cover.", ],
		[	"　　　森",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　　山",		"山に入った歩兵系は",		"サクテキの時に視界が",		"３増える。", ],
		[ "　　道路",		"もっとも移動しやすい",		"地形だが守りには",		"むかない。", ],
		[ "　　　橋",		"陸と陸をむすぶ橋。",		"移動しやすいが",		"地形効果もない地形。", ],
		[ "　　パイプ",		"とてつもなくあつい装甲で",		"はかいする事はできない。",		"パイプランナーは進入可。", ],
		[ "　　パイプ",		"他のパイプ部分より装甲が",		"弱い。",		"パイプランナーは進入可。", ],
		[ "　　　川",		"陸ユニットでは歩兵系",		"が入ることができる。",		"", ],
		[	"　　Sea",		"Only naval and",		"air units can",		"traverse seas.", ],
		[ "　　岩礁",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　浅瀬",		"陸から海に続く地形。",		"輸送船への乗り降りが",		"できる。", ],
		[ "ミサイル基地",		"歩兵系で１発だけ発射可。",		"射程は無限で、着弾場所",		"から２マスに範囲攻撃。", ],
		[ "ミニキャノン",		"攻撃力、射程ともキャノン",		"にはおとるが、強力な",		"兵器。弾数は無限。", ],
		[	"　Crystal",		"Black Hole units within",		"2 spaces regain fuel",		"and 2 HP each day.", ],
		[ "　　HQ",		"An HQ can resupply",		"ground units. Battle",		"ends if it's captured.", ],
		[ "　　都市",		"味方が占領しているなら、",		"陸ユニットの回復、補給が",		"できる。", ],
		[ "　　工場",		"味方が占領しているなら、",		"陸ユニットの生産と",		"回復、補給ができる。", ],
		[	"　　空港",		"味方が占領しているなら、",		"空ユニットの生産、回復",		"補給ができる。", ],
		[ "　　　港",		"味方が占領しているなら、",		"海ユニットの生産、回復",		"補給ができる。", ],
		[ "　　指令塔",		"この拠点を占領すると",		"情報伝達が良くなり、",		"軍全体の攻撃力が上がる。", ],
		[ "　　研究所",		"ブラックホール軍の兵器の",		"研究を行っているしせつ。",		"", ],
		[ "　Ｂキャノン",		"攻撃力、射程とも強力な",		"キャノン砲。",		"弾数は無限。", ],
		[ "Ｂクリスタル",		"１日の初めに周囲４マス",		"のブラックホール軍のＨＰ",		"が２回復し、補給も行う。", ],
		[ "　　火山",		"大きな火山。",		"時おり火山弾をふき出す。",		"全ユニットが侵入不可。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　進入不可",	"全ユニット攻撃、",		"侵入不可。",		"", ],
	],
};

FWEditor_data.image.Japanese = {
	main_terrain_name:		{	img:	"maininfo", x: 0, y: 0, w: 32, h: 16 },
	main_unit_name:				{	img:	"maininfo", x: 0, y: 0, w: 32, h: 16 },
	main_tul_infobg:			{ img:	"maininfo", x: 0, y: 112, h: 56 },
	main_tu_infobg:				{ img:	"maininfo", x: 0, y: 56, h: 56 },
	main_t_infobg:				{ img:	"maininfo", x: 0, y: 0, h: 56 },
	main_t_star:					{ img:	"maininfo", x: 0, y: 168, w: 11, h: 10 },
	main_t_capture:				{ img:	"maininfo", x: 11, y: 168, w: 11, h: 11 },
	main_t_life:					{ img:	"maininfo", x: 22, y: 168, w: 11, h: 9 },
	main_u_life:					{ img:	"maininfo", x: 0, y: 723, w: 7, h: 6 },
	main_u_fuel:					{ img:	"maininfo", x: 7, y: 723, w: 7, h: 8 },
	main_u_ammo:					{ img:	"maininfo", x: 14, y: 723, w: 7, h: 5 },
	main_ul_question:			{ img:	"maininfo", x: 0, y: 1148, w: 16, h: 16 },
	sub_t_timg:						{ img:	"sub_tinfo", x: 0, y: 0, w: 48, h: 64 },
	sub_t_star:						{ img:	"sub_tinfo", x: 0, y: 240, w: 8, h: 8 },
	sub_t_defence:				{ img:	"sub_tinfo", x: 0, y: 0, w: 25, h: 16 },
	sub_t_income:					{ img:	"sub_tinfo", x: 0, y: 16, w: 25, h: 16 },
	sub_t_repair:					{ img:	"sub_tinfo", x: 0, y: 32, w: 25, h: 16 },
	sub_t_repairtype:			{ img:	"sub_tinfo", x: 0, y: 0, w: 24, h: 16 },
	sub_t_movecost:				{ img:	"sub_tinfo", x: 0, y: 0, w: 32, h: 16 },
	sub_u_statusbg:				{ img:	"sub_uinfo", x: 0, y: 0, w: 136, h: 154 },
	sub_u_move:						{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 16 },
	sub_u_vision:					{ img:	"sub_uinfo", x: 0, y: 314, w: 32, h: 16 },
	sub_u_fuel:						{ img:	"sub_uinfo", x: 0, y: 330, w: 16, h: 16 },
	sub_u_slash:					{ img:	"sub_uinfo", x: 0, y: 346, w: 8, h: 8 },
	sub_u_range:					{ img:	"sub_uinfo", x: 0, y: 362, w: 32, h: 8 },
	sub_u_wave:						{ img:	"sub_uinfo", x: 0, y: 354, w: 8, h: 8 },
	sub_u_effectiveness:	{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_u_utype:					{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_m_bg:							{ img:	"sub_minfo", x: 0, y: 0, w: 56, h: 162 },
	sub_m_inf:						{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	sub_day:							{ img:	"sub_minfo", x: 96, y: 162, w: 13, h: 14 },
	countryicon:					{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	main_menu_lu:					{ img:	"main", x: 0, y: 0, w: 4, h: 5 },
	main_menu_cu:					{ img:	"main", x: 8, y: 0, w: 0, h: 5 },
	main_menu_ru:					{ img:	"main", x: 4, y: 0, w: 4, h: 5 },
	main_menu_lm:					{ img:	"main", x: 0, y: 10, w: 4, h: 16 },
	main_menu_cm:					{ img:	"main", x: 8, y: 10, w: 0, h: 16 },
	main_menu_cm_noline:	{ img:	"main", x: 8, y: 12, w: 0, h: 8 },
	main_menu_cm_line:		{ img:	"main", x: 8, y: 24, w: 0, h: 2 },
	main_menu_rm:					{ img:	"main", x: 4, y: 10, w: 4, h: 16 },
	main_menu_ld:					{ img:	"main", x: 0, y: 5, w: 4, h: 5 },
	main_menu_cd:					{ img:	"main", x: 8, y: 5, w: 0, h: 5 },
	main_menu_rd:					{ img:	"main", x: 4, y: 5, w: 4, h: 5 },
	main_menu_icon:				{ img:	"main", x: 0, y: 0, w: 16, h: 16 },
	main_larrow_up:				{ img:	"main", x: 0, y: 138, w: 30, h: 18 },
	main_larrow_down:			{ img:	"main", x: 30, y: 138, w: 30, h: 18 },
	main_sarrow_up:				{ img:	"main", x: 60, y: 138, w: 16, h: 10 },
	main_sarrow_down:			{ img:	"main", x: 76, y: 138, w: 16, h: 10 },
	main_icon_force:			{ img:	"main", x: 92, y: 138, w: 14, h: 14 },
	main_sinfo_cdef:			{ img:	"main", x: 106, y: 138, w: 14, h: 14 },
	main_sinfo_rdef:			{ img:	"main", x: 120, y: 138, w: 14, h: 14 },
	main_sinfo_luck:			{ img:	"main", x: 134, y: 138, w: 14, h: 14 },
	main_gold:						{ img:	"main", x: 148, y: 138, w: 11, h: 8 },
	main_changemapsize:		{ img:	"main", x: 159, y: 138, w: 16, h: 16 },
	main_icon_forces:			{ img:	"main", x: 0, y: 90, w: 16, h: 16 },
	main_button_back:			{ img:	"main", x: 0, y: 156, w: 32, h: 32 },
	main_button_info:			{ img:	"main", x: 0, y: 188, w: 32, h: 32 },
	main_abutton:					{ img:	"main", x: 0, y: 220, w: 32, h: 16 },
	main_rbutton:					{ img:	"main", x: 0, y: 236, w: 32, h: 16 },
	main_bbutton:					{ img:	"main", x: 0, y: 252, w: 32, h: 16 },
	main_sinfo_help:			{ img:	"main", x: 0, y: 268, w: 128, h: 64 },
	main_encountanim:			{ img:	"main", x: 0, y: 0 },
	unit_large:						{ img:	"unitlarge", x: 0, y: 0 },
	atmosphere:						{ img:	"atmosphere", x: 0, y: 0 },
	atmosphere_cloud:			{ img:	"atmosphere", x: 0, y: 53, w: 128, h: 128 },
	terrain:							{ img:	"terrain", x: 0, y: 0, w: 16, h: 16 },
	unit:									{ img:	"unit", x: 0, y: 0, w: 16, h: 16 },
	number:								{ img:	"number", x: 0, y: 0 },
	font:									{ img:	"font", x: 0, y: 0, w: 8, h: 14 },
	shogunstatus_bg:			{ img:	"shogunstatus", x: 0, y: 0, w: 64, h: 16 },
	shogunstatus_sstar:		{ img:	"shogunstatus", x: 0, y: 80, w: 7, h: 7 },
	shogunstatus_lstar:		{ img:	"shogunstatus", x: 0, y: 136, w: 8, h: 9 },
	shogunstatus_break:		{ img:	"shogunstatus", x: 0, y: 192, w: 56, h: 16 },
	bg:										{ img:	"bg", x: 0, y: 0, w: 256, h: 320 },
	main_sinfo_bg:				{ img:	"bg", x: 256, y: 0, w: 256, h: 320 },
	sub_sinfo_box1:				{ img:	"sub_sinfo", x: 0, y: 0, w: 106, h: 47 },
	sub_sinfo_box2:				{ img:	"sub_sinfo", x: 0, y: 47, w: 106, h: 71 },
	sub_sinfo_star:				{ img:	"sub_sinfo", x: 0, y: 118, w: 13, h: 14 },
	shogun:								{ img:	"shogun", x: 0, y: 0, w: 144, h: 192 },
	main_msg_bg:					{ img:	"mainmsg", x: 0, y: 0, w: 256, h: 48 },
	shogun_name:					{ img:	"shogunname", x: 0, y: 0, w: 47, h: 14 },
	unit_status:					{ img:	"unitstatus", x: 0, y: 0, w: 8, h: 8 },
	cursor_rect:					{ img:	"cursor", x: 0, y: 0, w: 26, h: 26 },
	cursor_arrow:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_menu:					{ img:	"cursor", x: 0, y: 58, w: 8, h: 8 },
	cursor_msg:						{ img:	"cursor", x: 0, y: 258, w: 7, h: 6 },
	cursor_msg_yesno:			{ img:	"cursor", x: 7, y: 258, w: 6, h: 7 },
	cursor_move:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_target:				{ img:	"cursor", x: 0, y: 66, w: 32, h: 32 },
	cursor_missile:				{ img:	"cursor", x: 0, y: 178, w: 80, h: 80 },
	cursor_bbomb:					{ img:	"cursor", x: 0, y: 265, w: 112, h: 112 },
};

FWEditor_data.image.English = {
	main_terrain_name:		{	img:	"maininfo", x: 32, y: 0, w: 32, h: 16 },
	main_unit_name:				{	img:	"maininfo", x: 32, y: 0, w: 32, h: 16 },
	main_tul_infobg:			{ img:	"maininfo", y: 112, h: 56 },
	main_tu_infobg:				{ img:	"maininfo", x: 0, y: 56, h: 56 },
	main_t_infobg:				{ img:	"maininfo", x: 0, y: 0, h: 56 },
	main_t_star:					{ img:	"maininfo", x: 0, y: 168, w: 11, h: 10 },
	main_t_capture:				{ img:	"maininfo", x: 11, y: 168, w: 11, h: 11 },
	main_t_life:					{ img:	"maininfo", x: 22, y: 168, w: 11, h: 9 },
	main_u_life:					{ img:	"maininfo", x: 0, y: 723, w: 7, h: 6 },
	main_u_fuel:					{ img:	"maininfo", x: 7, y: 723, w: 7, h: 8 },
	main_u_ammo:					{ img:	"maininfo", x: 14, y: 723, w: 7, h: 5 },
	main_ul_question:			{ img:	"maininfo", x: 0, y: 1148, w: 16, h: 16 },
	sub_t_timg:						{ img:	"sub_tinfo", x: 0, y: 0, w: 48, h: 64 },
	sub_t_star:						{ img:	"sub_tinfo", x: 0, y: 240, w: 8, h: 8 },
	sub_t_defence:				{ img:	"sub_tinfo", x: 25, y: 0, w: 25, h: 16 },
	sub_t_income:					{ img:	"sub_tinfo", x: 25, y: 16, w: 25, h: 16 },
	sub_t_repair:					{ img:	"sub_tinfo", x: 25, y: 32, w: 25, h: 16 },
	sub_t_repairtype:			{ img:	"sub_tinfo", x: 0, y: 0, w: 24, h: 16 },
	sub_t_movecost:				{ img:	"sub_tinfo", x: 32, y: 0, w: 32, h: 16 },
	sub_u_statusbg:				{ img:	"sub_uinfo", x: 0, y: 0, w: 136, h: 154 },
	sub_u_statusbg2:			{ img:	"sub_uinfo", x: 136, y: 0, w: 136, h: 154 },
	sub_u_move:						{ img:	"sub_uinfo", x: 32, y: 0, w: 32, h: 16 },
	sub_u_vision:					{ img:	"sub_uinfo", x: 32, y: 314, w: 32, h: 16 },
	sub_u_fuel:						{ img:	"sub_uinfo", x: 0, y: 330, w: 16, h: 16 },
	sub_u_slash:					{ img:	"sub_uinfo", x: 0, y: 346, w: 8, h: 8 },
	sub_u_wave:						{ img:	"sub_uinfo", x: 0, y: 354, w: 8, h: 8 },
	sub_u_range:					{ img:	"sub_uinfo", x: 0, y: 362, w: 32, h: 8 },
	sub_u_effectiveness:	{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_u_utype:					{ img:	"sub_uinfo", x: 32, y: 0, w: 32, h: 32 },
	sub_m_bg:							{ img:	"sub_minfo", x: 0, y: 0, w: 56, h: 162 },
	sub_m_inf:						{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	sub_day:							{ img:	"sub_minfo", x: 109, y: 162, w: 17, h: 15 },
	countryicon:					{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	main_menu_lu:					{ img:	"main", x: 0, y: 0, w: 4, h: 5 },
	main_menu_cu:					{ img:	"main", x: 8, y: 0, w: 0, h: 5 },
	main_menu_ru:					{ img:	"main", x: 4, y: 0, w: 4, h: 5 },
	main_menu_lm:					{ img:	"main", x: 0, y: 10, w: 4, h: 16 },
	main_menu_cm:					{ img:	"main", x: 8, y: 10, w: 0, h: 16 },
	main_menu_cm_noline:	{ img:	"main", x: 8, y: 12, w: 0, h: 8 },
	main_menu_cm_line:		{ img:	"main", x: 8, y: 24, w: 0, h: 2 },
	main_menu_rm:					{ img:	"main", x: 4, y: 10, w: 4, h: 16 },
	main_menu_ld:					{ img:	"main", x: 0, y: 5, w: 4, h: 5 },
	main_menu_cd:					{ img:	"main", x: 8, y: 5, w: 0, h: 5 },
	main_menu_rd:					{ img:	"main", x: 4, y: 5, w: 4, h: 5 },
	main_menu_icon:				{ img:	"main", x: 0, y: 0, w: 16, h: 16 },
	main_larrow_up:				{ img:	"main", x: 0, y: 138, w: 30, h: 18 },
	main_larrow_down:			{ img:	"main", x: 30, y: 138, w: 30, h: 18 },
	main_sarrow_up:				{ img:	"main", x: 60, y: 138, w: 16, h: 10 },
	main_sarrow_down:			{ img:	"main", x: 76, y: 138, w: 16, h: 10 },
	main_icon_force:			{ img:	"main", x: 92, y: 138, w: 14, h: 14 },
	main_sinfo_cdef:			{ img:	"main", x: 106, y: 138, w: 14, h: 14 },
	main_sinfo_rdef:			{ img:	"main", x: 120, y: 138, w: 14, h: 14 },
	main_sinfo_luck:			{ img:	"main", x: 134, y: 138, w: 14, h: 14 },
	main_gold:						{ img:	"main", x: 148, y: 138, w: 11, h: 8 },
	main_changemapsize:		{ img:	"main", x: 159, y: 138, w: 16, h: 16 },
	main_icon_forces:			{ img:	"main", x: 0, y: 90, w: 16, h: 16 },
	main_button_back:			{ img:	"main", x: 32, y: 156, w: 32, h: 32 },
	main_button_info:			{ img:	"main", x: 32, y: 188, w: 32, h: 32 },
	main_abutton:					{ img:	"main", x: 32, y: 220, w: 32, h: 16 },
	main_rbutton:					{ img:	"main", x: 32, y: 236, w: 32, h: 16 },
	main_bbutton:					{ img:	"main", x: 32, y: 252, w: 32, h: 16 },
	main_sinfo_help:			{ img:	"main", x: 0, y: 268, w: 128, h: 64 },
	main_encountanim:			{ img:	"main", x: 0, y: 0 },
	unit_large:						{ img:	"unitlarge", x: 0, y: 0 },
	atmosphere:						{ img:	"atmosphere", x: 0, y: 0 },
	atmosphere_cloud:			{ img:	"atmosphere", x: 0, y: 53, w: 128, h: 128 },
	terrain:							{ img:	"terrain", x: 0, y: 0, w: 16, h: 16 },
	unit:									{ img:	"unit", x: 0, y: 0, w: 16, h: 16 },
	number:								{ img:	"number", x: 0, y: 0 },
	font:									{ img:	"font", x: 0, y: 0, w: 8, h: 14 },
	shogunstatus_bg:			{ img:	"shogunstatus", x: 0, y: 0, w: 64, h: 16 },
	shogunstatus_sstar:		{ img:	"shogunstatus", x: 0, y: 80, w: 7, h: 7 },
	shogunstatus_lstar:		{ img:	"shogunstatus", x: 0, y: 136, w: 8, h: 9 },
	shogunstatus_break:		{ img:	"shogunstatus", x: 56, y: 192, w: 56, h: 16 },
	bg:										{ img:	"bg", x: 0, y: 0, w: 256, h: 320 },
	main_sinfo_bg:				{ img:	"bg", x: 256, y: 0, w: 256, h: 320 },
	sub_sinfo_box1:				{ img:	"sub_sinfo", x: 0, y: 0, w: 106, h: 47 },
	sub_sinfo_box2:				{ img:	"sub_sinfo", x: 0, y: 47, w: 106, h: 71 },
	sub_sinfo_star:				{ img:	"sub_sinfo", x: 0, y: 118, w: 13, h: 14 },
	shogun:								{ img:	"shogun", x: 0, y: 0, w: 144, h: 192 },
	main_msg_bg:					{ img:	"mainmsg", x: 0, y: 0, w: 256, h: 48 },
	shogun_name:					{ img:	"shogunname", x: 0, y: 0, w: 47, h: 14 },
	unit_status:					{ img:	"unitstatus", x: 0, y: 0, w: 8, h: 8 },
	cursor_rect:					{ img:	"cursor", x: 0, y: 0, w: 26, h: 26 },
	cursor_arrow:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_menu:					{ img:	"cursor", x: 0, y: 58, w: 8, h: 8 },
	cursor_msg:						{ img:	"cursor", x: 0, y: 258, w: 7, h: 6 },
	cursor_msg_yesno:			{ img:	"cursor", x: 7, y: 258, w: 6, h: 7 },
	cursor_move:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_target:				{ img:	"cursor", x: 0, y: 66, w: 32, h: 32 },
	cursor_missile:				{ img:	"cursor", x: 0, y: 178, w: 80, h: 80 },
	cursor_bbomb:					{ img:	"cursor", x: 0, y: 265, w: 112, h: 112 },
};
